Merkl Developer Portal logo
get

/v4/analytics/global-states/{indexingId}

Path parameters

indexingIdstring
required

Query parameters

fromBlocknumber | string

Start block (0 = from the beginning)

toBlocknumber | string

End block (0 = until the latest)

Responses

200
Response for status 200
Schema
object
indexingIdstring
required
historyobject[]
required
blockNumbernumber
blockTimestampnumber
valueany
truncatedboolean
required
True when the row cap stopped the series before `toBlock`. Request again with `fromBlock` set to the last returned block + 1.
Example
{
  "indexingId": "string",
  "history": [
    {
      "blockNumber": 0,
      "blockTimestamp": 0,
      "value": null
    }
  ],
  "truncated": false
}